ulams notifications
Generated from front/cli (ulams schema)
ulams notifications all
Section titled “ulams notifications all”Get notifications.
Kind: read (idempotent). Stability: stable. MCP tool: notifications_all. Scopes: settings:read.
Endpoints: GET /api/admin/notifications/all.
| Flag | Type | Required | Description |
|---|---|---|---|
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--event |
string | Event class filter | |
--include-read |
boolean | Include read notifications | |
--date-from |
string | From date filter | |
--date-to |
string | To date filter |
# Get notificationsulams notifications all --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "event": { "type": "string", "description": "Event class filter" }, "include_read": { "type": "boolean", "description": "Include read notifications" }, "date_from": { "type": "string", "description": "From date filter" }, "date_to": { "type": "string", "description": "To date filter" } }, "additionalProperties": {}}ulams notifications events
Section titled “ulams notifications events”Get list of events for which notifications exist.
Kind: read (idempotent). Stability: stable. MCP tool: notifications_events. Scopes: settings:read.
Endpoints: GET /api/admin/notifications/events.
# Get list of events for which notifications existulams notifications events --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams notifications list
Section titled “ulams notifications list”Get list of events for which notifications exist.
Kind: read (idempotent). Stability: stable. MCP tool: notifications_list. Scopes: settings:read.
Endpoints: GET /api/admin/notifications.
# Get list of events for which notifications existulams notifications list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams notifications read-all
Section titled “ulams notifications read-all”Mark all notifications as read.
Kind: write. Stability: stable. MCP tool: notifications_read_all. Scopes: settings:write.
Endpoints: POST /api/admin/notifications/read-all.
| Flag | Type | Required | Description |
|---|---|---|---|
--body |
unknown | Request body (JSON) |
# Mark all notifications as readulams notifications read-all --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "body": { "description": "Request body (JSON)" } }, "additionalProperties": {}}